cancel pending invite.md

Cancel pending invite

Management API · User Management

DELETE https://app.mk.io/api/v1/organization/invites/{invite_id}

This endpoint allows you to remove a pending invitation if you change your mind, or if the invitation is wrong.

RBAC Capability Required: core.invite.delete

Authentication

Path parameters

Name Type Required Description
invite_id string Yes format: uuid

Example request

curl -X DELETE "https://app.mk.io/api/v1/organization/invites/{invite_id}" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: management-api · operationId: [delete]_/api/v1/organization/invites/{invite_id}